name: Build
run-name: ${{gitea.actor}} is building 🚀
on: [push]

jobs:
  Build:
    runs-on: osx
    steps:
      - name: Check out repository code
        uses: actions/checkout@v4
      - name: Restoring Node Packages
        run: |
          cd source
          yarn install --frozen-lockfile
      - name: Build
        run: |
          cd source
          yarn run build